diff --git a/makefile b/makefile
index f71a20df..564f9f4e 100644
--- a/makefile
+++ b/makefile
@@ -299,11 +299,11 @@ src/xwin.o:	src/xwin.c src/rots.h
 src/xwingl.o:	src/xwin.c src/rots.h
 
 molden:	$(OBJS) src/mpdum.o src/xwin.o 
-	$(LDR) -o molden $(OBJS) src/mpdum.o src/xwin.o $(LIBS)
+	$(LDR) $(LDFLAGS) -o molden $(OBJS) src/mpdum.o src/xwin.o $(LIBS)
 	mv molden bin/molden
 
 gmolden:	$(OBJS) src/mpdum.o src/xwingl.o 
-	$(LDR) -fno-builtin -o gmolden $(OBJS) src/mpdum.o src/xwingl.o $(LIBSG)
+	$(LDR) $(LDFLAGS) -fno-builtin -o gmolden $(OBJS) src/mpdum.o src/xwingl.o $(LIBSG)
 	mv gmolden bin/gmolden
 
 ambfor/ambfor:	src/ambfor/*.f src/ambfor/*.c
@@ -322,14 +322,14 @@ surf/surf:	src/surf/*.h src/surf/*.c
 # noxwin will not work as long as the old ocglbck calls arent in dummys
 
 noxwin:	$(OBJS) $(DOBJ) src/mpdum.o
-	$(LDR) -o molden $(OBJS) $(DOBJ) src/mpdum.o -lm
+	$(LDR) $(LDFLAGS) -o molden $(OBJS) $(DOBJ) src/mpdum.o -lm
 	mv molden bin/molden.noxwin
 
 # This version allows the fitting of multipole moments to the electrostatic
 # pontential
 
 molden.mpfit:	$(OBJS) src/mpolefit.o src/xwinmp.o
-	$(LDR) -o molden $(OBJS) src/mpolefit.o src/xwinmp.o $(LIBS)
+	$(LDR) $(LDFLAGS) -o molden $(OBJS) src/mpolefit.o src/xwinmp.o $(LIBS)
 	mv molden bin/molden.mpfit
 
 src/xwinmp.o:	src/xwin.c
@@ -340,18 +340,18 @@ src/xwingl.o:	src/xwin.c
 	$(CC) $(CFLAGS) -DDOGL -c src/xwin.c -o src/xwingl.o
 
 unmullik:	src/unmullik.o
-	$(LDR) -o bin/unmullik src/unmullik.o
+	$(LDR) $(LDFLAGS) -o bin/unmullik src/unmullik.o
 
 # short_wrl removes redundant vertices from molden's VRML2 files
 # with the courtesy of Andreas Klamt of COSMOSlogic
 #
 short_wrl:	src/short_wrl.o
-	$(LDR) -o bin/short_wrl src/short_wrl.o
+	$(LDR) $(LDFLAGS) -o bin/short_wrl src/short_wrl.o
 
 # conversion of CADPAC output to molden format
 
 cad2mol:	src/cad2mol.o
-	$(LDR) -o bin/cad2mol src/cad2mol.o
+	$(LDR) $(LDFLAGS) -o bin/cad2mol src/cad2mol.o
 
 clean:
 	rm -f src/$(OBJS) src/mpdum.o src/xwin.o src/xwingl.o bin/molden bin/gmolden bin/ambfor bin/ambmd bin/surf src/ambfor/*.o src/surf/*.o
diff --git a/src/ambfor/makefile b/src/ambfor/makefile
index 9938527e..5de7c65e 100644
--- a/src/ambfor/makefile
+++ b/src/ambfor/makefile
@@ -50,10 +50,10 @@ mpi:	FFLAGS = -c -g -ffast-math -funroll-loops -O3
 mpi:	ambfor.mpi ambmd.mpi
 
 ambfor:	ambfor.o qvdw.o alloc.o optimise.o lbfgs.o $(OBJS)
-	$(LDR) -o ambfor ambfor.o qvdw.o alloc.o optimise.o lbfgs.o $(OBJS) $(LIBS)
+	$(LDR) $(LDFLAGS) -o ambfor ambfor.o qvdw.o alloc.o optimise.o lbfgs.o $(OBJS) $(LIBS)
 
 ambmd:	md.o verlet.o qvdw.o allocmd.o $(OBJS)
-	$(LDR) -o ambmd md.o verlet.o qvdw.o allocmd.o $(OBJS) $(LIBS)
+	$(LDR) $(LDFLAGS) -o ambmd md.o verlet.o qvdw.o allocmd.o $(OBJS) $(LIBS)
 
 ambfor.o:	ambfor.f
 	${FC} -c -g -ffast-math -funroll-loops -o ambfor.o ambfor.f
diff --git a/src/surf/Makefile b/src/surf/Makefile
index 54b7af8e..f216c9eb 100644
--- a/src/surf/Makefile
+++ b/src/surf/Makefile
@@ -25,7 +25,7 @@ OBJS        = surf.o io.o compute.o dual.o utils.o lp.o chull.o tessel_cases.o \
 
 # make objects
 surf: $(OBJS) Makefile 
-	$(CC) $(CFLAGS) $(OBJS) -o surf $(LINCLUDE)
+	$(CC) $(CFLAGS) $(OBJS) -o surf $(LINCLUDE) $(LDFLAGS)
 
 lint:
 	lint $(INCLUDE) $(SRCS)
